
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%define agent_release %(echo "${AGENT_RELEASE:-1}")
%define osbuilder_release %{agent_release}

Name:     kata-image
Version:  1.12.1
Release:  %{agent_release}.%{osbuilder_release}.ol%{oraclelinux}_%{build_date}
License:  Oracle Linux License Agreement
Vendor:   Oracle America
Summary:  Oracle Linux image for Kata containers
Group:    image
Source:   %{name}-%{version}.tar.bz2

BuildRequires: golang >= 1.15
%if %{?oraclelinux} == 7
BuildRequires: qemu-img
%endif
BuildRequires: parted
BuildRequires: e2fsprogs
BuildRequires: util-linux
# yq 4 will give the following errors
# https://github.com/kubeflow/website/issues/2419
# for file ./scripts/lib.sh
BuildRequires: yq = 3.4.0-1%{?dist}
BuildRequires: wget

%description
Kata Containers Image based upon Oracle Linux

%prep
%setup -q

%build
%if %{?oraclelinux} == 8
# Currently the qemu-img module (4.2.0) in 8.3 appstream doesn't work with the latest libgcrypt-1.8.5-4
# error => qemu-img: Unable to initialize gcrypt
# so using OLCNE version of qemu-img for time being
# TODO: revisit this in the future
dnf module disable virt -y
yum install qemu-img-4.2.1-3.el8 -y
dnf module enable virt -y
%endif

echo kata_image_release=%{release}
echo build_date=%{build_date}
echo release=%{release}
export VERSION=${AGENT_VERSION:-%{version}}
export RELEASE=${AGENT_RELEASE:-%{agent_release}}%{?dist}
sh build_kata_image %{?oraclelinux}

%install
ImageDir=%{buildroot}/usr/share/kata-containers
mkdir -p ${ImageDir}
install -p kata-containers.img ${ImageDir}/kata-containers-%{version}.img
install -p kata-containers-initrd.img ${ImageDir}/kata-containers-initrd-%{version}.img
ln -sf kata-containers-%{version}.img ${ImageDir}/kata-containers.img
ln -sf kata-containers-initrd-%{version}.img ${ImageDir}/kata-containers-initrd.img

# Deliver the License
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
install -p buildrpm/EULA %{buildroot}/usr/share/doc/%{name}-%{version}/EULA

%files
%license buildrpm/EULA
%dir /usr/share/kata-containers
/usr/share/kata-containers/kata-containers-%{version}.img
/usr/share/kata-containers/kata-containers-initrd-%{version}.img
/usr/share/kata-containers/kata-containers.img
/usr/share/kata-containers/kata-containers-initrd.img
%doc /usr/share/doc/%{name}-%{version}/EULA

%changelog
* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Thu Mar 04 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-image
